summaryrefslogtreecommitdiff
path: root/.docker/app/startup.sh
diff options
context:
space:
mode:
Diffstat (limited to '.docker/app/startup.sh')
-rw-r--r--.docker/app/startup.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/.docker/app/startup.sh b/.docker/app/startup.sh
index a307110..f4b66b3 100644
--- a/.docker/app/startup.sh
+++ b/.docker/app/startup.sh
@@ -1,5 +1,12 @@
#!/bin/sh -e
+if [ "$EPUBE_DB_TYPE" == "pgsql" ]; then
+ while ! pg_isready -h $EPUBE_DB_HOST -U $EPUBE_DB_USER; do
+ echo waiting until $EPUBE_DB_HOST is ready...
+ sleep 3
+ done
+fi
+
if ! id app >/dev/null 2>&1; then
# what if i actually need a duplicate GID/UID group?